#!/bin/bash

TEXTDOMAIN=`basename $0`
#if [ -d "./locale" ]; then
#  TEXTDOMAINDIR="./locale"
#fi

MODULE_NAME=3cp4218
MODULE_NAMEDBG=3cp4218dbg
IOCTL_NAME=3cioctl

remove_controller() {
  usbcon=`lsmod | cut -d' ' -f1 | grep -E "^uhci|usb-uhci|usb-ohci|ehci-hcd$"`
  if [ "$usbcon" != "" ]; then
    echo $">>> Removing USB controller..."
    rmmod $usbcon
    echo
    sleep 1s
  fi
  echo $">>> Removing $driver..."
  rmmod $driver
  echo
  sleep 1s
  echo $">>> Loading again USB controller..."
  modprobe uhci > /dev/null || modprobe usb-ohci > /dev/null || modprobe ehci-hcd > /dev/null
  sleep 5s
  echo
}

echo $">>> Remove $MODULE_NAME/$MODULE_NAMEDBG driver <<<"
echo

driver=`lsmod | cut -d' ' -f1 | grep -E "^$MODULE_NAME|$MODULE_NAMEDBG$"`
if [ "$driver" != "" ]; then
  echo $">>> Removing $driver..."
  (rmmod $driver && echo && sleep 1s ) || remove_controller
fi

